
Redmine - Feature #1403

Unified Diff download feature

2008-06-07 15:29 - James Turnbull

Status: Closed Start date: 2008-06-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

I'd like to request a unified diff download/viewer in the style of Trac.

Related issues:

Related to Redmine - Feature #1029: Special handling for .diff/.patch attachm... Closed 2008-04-09

Associated revisions

Revision 1513 - 2008-06-08 18:28 - Jean-Philippe Lang

Move unified diff parser out of the scm abstract adapter so it can be reused for viewing attached diffs (#1403).

Revision 1516 - 2008-06-08 20:26 - Jean-Philippe Lang

Unified diff viewer for attached files with .patch or .diff extension (#1403).

History

#1 - 2008-06-08 14:09 - Thomas Lecavelier

Could you provide a link to a public accessible trac page where we can view what you want? Thank you.

#2 - 2008-06-08 15:36 - James Turnbull

My apologies I should have done this:

Ticket:

http://reductivelabs.com/trac/puppet/ticket/1276

Click through to diff of patch:

http://reductivelabs.com/trac/puppet/attachment/ticket/1276/0001-Default-service-pattern-match-with-word-boundaries.patch

Some other examples with multiple files being patched:

http://reductivelabs.com/trac/puppet/attachment/ticket/1179/ticket_1179.patch

http://reductivelabs.com/trac/puppet/attachment/ticket/1176/puppet-fix-1176.patch

#3 - 2008-06-08 20:22 - Jean-Philippe Lang

- Category changed from Issues to Attachments

- Status changed from New to Closed

- Resolution set to Fixed

Committed in r1516.

#4 - 2008-06-08 20:22 - Jean-Philippe Lang

- Target version set to 0.8

#5 - 2008-06-09 01:39 - James Turnbull

Perfect!  Very happy indeed.  Excellent work.
